import * as fs from 'fs';

import {launch} from 'puppeteer';

import {generateStaticHtml} from './generate-static';

async function parallel() {
    const start = new Date();
    const browser = await launch({
        args: ['--no-sandbox'],
    });

    const promises = [];

    for (let i = 0; i < 100; i++) {
        promises.push(generateStaticHtml('https://bookingworldspeakers.com', browser).then(() => {
            console.log(`${i.toString().padStart(3, '0')} completed`);
        }));
    }

    console.log('Leggo');
    await Promise.all(promises);

    await browser.close();
    console.log(`Finished in ${Math.trunc(new Date().getTime() - start.getTime())}ms`);
}

async function save() {
    const browser = await launch({

    });

    await fs.promises.writeFile(
        './test.local.html',
        await generateStaticHtml('https://bookingworldspeakers.com', browser),
    );

    await browser.close();
}

(async () => {
    await save();
})().catch(console.error);
